/*
 *  Copyright (C) 2004 Link Dupont <link@subpop.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include "lindele.h"

void on_about_activate(GtkMenuItem *menu, Lindele *l);
void on_button_play_clicked(GtkButton *button, Lindele *l);
void on_button_stop_clicked (GtkButton *button, Lindele *l);
void on_button_next_clicked (GtkButton *button, Lindele *l);
void on_button_prev_clicked (GtkButton *button, Lindele *l);
void mm_play_pressed (MmKeys *m, Lindele *l);
void mm_stop_pressed (MmKeys *m, Lindele *l);
void mm_next_pressed (MmKeys *m, Lindele *l);
void mm_prev_pressed (MmKeys *m, Lindele *l);
void on_checkbutton_repeat_toggled (GtkButton *button, Lindele *l);
void on_checkbutton_random_toggled (GtkButton *button, Lindele *l);
void on_save_playlist_activate (GtkWidget *menu, Lindele *l);
void on_remove_file_activate (GtkWidget *menu, Lindele *l);
void on_preferences_activate (GtkWidget *menu, Lindele *l);
void on_properties_activate (GtkWidget *menu, Lindele *l);
void on_add_folder_activate (GtkMenuItem *menu, Lindele *l);
void on_add_file_activate (GtkMenuItem *menu, Lindele *l);
void on_load_playlist_activate (GtkWidget *menu, Lindele *l);
void on_new_playlist_activate (GtkWidget *menu, Lindele *l);
void on_jump_to_playing_activate (GtkWidget *menu, Lindele *l);
gboolean on_tree_popup_menu (GtkWidget *widget);
void update_buttons (Lindele *l);
void update_now_playing(Lindele *l);
