/*
 *  Copyright (C) 2004 Link Dupont <link@subpop.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* playlist.h */

void playlist_add_file (gchar * filename, Lindele *l);
void playlist_add_folder (gchar * folder, Lindele *l);
void playlist_load_playlist (gchar * filename, Lindele *l);
void playlist_save_playlist (gchar * filename, Lindele *l);
gchar * playlist_get_current_filepath(Lindele *l);
void row_activated (GtkTreeView *treeview, GtkTreePath *p, GtkTreeViewColumn *c, Lindele *l);
void selection_changed(GtkTreeSelection *selection, Lindele *l);
gboolean gtk_tree_model_iter_previous (GtkTreeModel *tree_model, GtkTreeIter *iter);
void popup_context_menu(GtkWidget *widget, GdkEventButton *event);
gint playlist_get_length(Lindele *l);

void playlist_play (Lindele *l);
void playlist_stop (Lindele *l);
void playlist_next (Lindele *l);
void playlist_prev (Lindele *l);
